# Verify a Merchant

Create a Verification on a Merchant to get them Approved. This request will create a new PENDING Verification. Listen to updates and re-fetch the Verification when it is SUCCEEDED or FAILED.

For handling FAILED Verifications, see Fetch a Verification. See also Onboarding Process for Seller Merchants and Verification Requirements for Payouts for Recipient Merchants.

Endpoint: POST /merchants/{merchant_id}/verifications
Version: 2022-02-01
Security: BasicAuth

## Path parameters:

  - `merchant_id` (string, required)
    The Merchant ID.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

  - `Content-Type` (string)
    The data type being sent in the request body must be application/json.
    Example: "application/json"

## Response 201 fields (application/json):

  - `id` (string)
    The ID of the resource.

  - `created_at` (string)
    Timestamp of when the object was created.

  - `updated_at` (string)
    Timestamp of when the object was last updated.

  - `application` (string)
    ID of the Application the resource was created under.

  - `identity` (string,null)
    The ID of the Identity used to create the Merchant.

  - `merchant` (string)
    The ID of the Merchant sent for verification.

  - `merchant_identity` (string)
    The Identity ID associated with the Merchant.

  - `messages` (array)
    A codified list of reasons the verification request failed.

  - `outcome_summary` (string)
    A message providing additional context about why the verification request failed, available for SELLER merchants only.

  - `outcomes` (array)
    A codified list of reasons the verification request failed, available for SELLER merchants only.

  - `payment_instrument` (string)
    This field is not applicable to merchant verification.

  - `payment_instrument_verification_details` (object)
    This object is not applicable to merchant verification.

  - `payment_instrument_verification_details.push_to_card_domestic` (string,null)
    This object is not applicable to merchant verification.

  - `payment_instrument_verification_details.push_to_card_cross_border` (string,null)
    This object is not applicable to merchant verification.

  - `payment_instrument_verification_details.card_type` (string,null)
    This object is not applicable to merchant verification.

  - `payment_instrument_verification_details.billing_currency` (string,null)
    This object is not applicable to merchant verification.

  - `payment_instrument_verification_details.issuer_country` (string,null)
    This object is not applicable to merchant verification.

  - `processor` (string)
    Name of the verification processor.
    Enum: "FINIX_V1", "DUMMY_V1"

  - `raw` (any)
    Raw response from the processor. For SELLER Merchants, please use the newer outcomes and outcome_summary fields.

  - `state` (string)
    The state of the verification request.
    Enum: "PENDING", "FAILED", "SUCCEEDED"

  - `tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

  - `trace_id` (string)
    An ID used for tracking the verification request.

  - `type` (string)
    Details the type of resource getting verified.
    Enum: "MERCHANT"

  - `sub_type` (string,null)
    Specifies the [Gateway Integration](/api/gateway-integrations) linked to the [Merchant](/api/merchants). If the merchant is not linked to a Gateway Integration, this field will be null. At this time, CYBERSOURCE is the only supported Gateway Integration.
    Enum: "CYBERSOURCE"

  - `_links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_links.self` (object)
    Link to the Verification.

  - `_links.self.href` (string)

  - `_links.merchant` (object)
    Link to the Merchant sent in the verification request.

  - `_links.merchant.href` (string)

  - `_links.application` (object)
    Link to the Application associated with this resource.

  - `_links.application.href` (string)

## Response 400 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


